<?php

namespace plugin\admin\app\controller;

use app\model\User;
use plugin\admin\app\controller\Crud;
use support\exception\BusinessException;
use support\Request;
use support\Response;
use Throwable;

/**
 * 用户宣传 
 */
class XuanchuanController  extends Crud
{
    
    /**
     * @var \app\model\UserXuanchuan
     */
    protected $model = null;
    protected $relationSearch = ['user'];
    /**
     * 构造函数
     * @return void
     */
    function __construct()
    {
        $this->model = new \app\model\UserXuanchuan();
        $statusList = $this->model->getStatusList();
        $this->assign("statusList", $statusList);
        $this->assignconfig("statusList", $statusList);
        $typeList = $this->model->getTypeList();
        $this->assign("typeList", $typeList);
        $this->assignconfig("typeList", $typeList);
    }
    
}
